use strict;
use warnings;
use Test::More;

use vars qw(@OPTS);

BEGIN {
    @OPTS = 'generate';
}

use UUID @OPTS;

ok 1, 'loaded';

generate(my $bin);
ok 1,                'generic seems ok';
ok defined($bin),    'generic defined';
is length($bin), 16, 'generic works';

done_testing;
